name: npm-publish
description: 'create a listmonk campaign if the name of the branch being merged includes "__post__XXXXXX".'
author: "Bryce Thorup"
inputs:
  listmonk_user:
    description: Username for interacting with listmonk
    required: true
  listmonk_pass:
    description: Password for interacting with listmonk
    required: true
  is_production:
    description: flag that the update should be sent to actual users
    required: true
runs:
  using: "node20"
  main: "action.mjs"